import { Plugin, PluginFactory, PluginPackageManifest, PluginModules } from "@web3api/core-js";
import { QueryConfig } from "../query";
export interface GraphNodePluginConfigs {
    query: QueryConfig;
}
export declare class GraphNodePlugin implements Plugin {
    private _configs;
    constructor(_configs: GraphNodePluginConfigs);
    static manifest(): PluginPackageManifest;
    getModules(): PluginModules;
}
export declare const graphNodePlugin: PluginFactory<GraphNodePluginConfigs>;
export declare const plugin: PluginFactory<GraphNodePluginConfigs>;
